EDIT - bug #8921

Set sec for subtree not always successful
03/31/2020 09:19 AM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

WGB:

ich glaube, ich hatte gerade wieder den Fall, den ich schon letzte Woche bemerkt hatte.

Ich habe (in Caryophyllales_spp) das Taxon Gomphrena globosa tber den Tree-Update auf sec.-Ref. Kew... gesetzt. Meldung 11
updates. Gerade habe ich das Uberprift, und die sec.-Ref. ist nicht gesetzt.

Ich habe das wiederholt und es hat geklappt, alles innerhalb der letzen Minuten.

Es kann sein, dass das Taxon noch im Name Editor offen war. Normalerweise kommt dann die Meldung, dass der Taxon Node nicht
existiert (hatte ich, glaube ich, schon mal gemeldet — es sollte ja wohl die Save-Warnung kommen?) — das war eventuell diesmal
nicht der Fall; das kann ich aber nicht beschwéren

AM:
@Andreas: kdnntest du mal schauen, ob du fir die Zeit etwas in den Server-Logs zu dem Thema findest?

Grundsétzlich ist das sehr seltsam und auch nicht leicht zu debuggen, da es ja nicht deterministisch auftritt. Grundsatzlich ist so ein
Verhalten auch an anderen Stellen schon aufgefallen, wobei wir gehofft hatten, dass die Anderungen von Andreas K. im letzten
Release diese gefixt haben kénnten, da es dort genau um Server calls ging, deren Antwort in gewisser Weise verloren ging beim
Client.

Allerdings sollte das gerade bei den long running tasks wie diesem sowieso nicht so relevant sein, da diese asynchron auf dem
Server stattfinden und regelmaBig getriggert werden, ob sie fertig sind. Wenn da ein Triggercall nicht ankommt, wére das nicht so
kritisch.

@Katja: kannst du den Code nochmal genau anschauen, ob es evtl. doch dazu kommen kann, dass ein Fehler der vor oder wahrend
des Commits auftritt nicht abgefangen wird. Klingt zwar unwahrscheinlich aber irgendeinen Grund muss es ja geben. Oder wird evtl.
das Ergebnis bereits vor dem finalen Commit generiert und ein Fehler danach nicht richtig angezeigt?

Wir kdnnten evtl. zum debuggen (oder grundsatzlich) auch einen expliziten nachtraglichen Test einbauen, der testet, ob zumindest
eine (willkdrlich?) ausgewahlte sec-Referenz auch wirklich richtig gesetzt wurde. Wenn nicht, wird ein entsprechender Fehler
ausgegeben. Vielleicht kommen wir der Sache so besser auf den Grund.

History

#1 - 03/31/2020 09:34 AM - Andreas Miiller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.15

#2 - 04/22/2020 11:01 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#3 - 12/04/2020 09:05 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#4 - 01/27/2021 04:16 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#5 - 03/10/2021 02:46 PM - Andreas Miiller

04/20/2024 1/2




- Target version changed from Release 5.21 to Release 5.22

#6 - 04/19/2021 05:37 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
